org.apache.maven.artifact.handler

## Class DefaultArtifactHandler

- java.lang.Object
- - org.apache.maven.artifact.handler.DefaultArtifactHandler

All Implemented Interfaces:
  ArtifactHandler

    public class DefaultArtifactHandler
    extends java.lang.Object
    implements ArtifactHandler

Version:
  $Id: DefaultArtifactHandler.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.artifact.handler.ArtifactHandler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultArtifactHandler()`
`DefaultArtifactHandler(java.lang.String type)`

### Method Summary

Methods
`java.lang.String` `getClassifier()`
`java.lang.String` `getDirectory()`
`java.lang.String` `getExtension()`
`java.lang.String` `getLanguage()`
`java.lang.String` `getPackaging()`
`java.lang.String` `getType()`
`boolean` `isAddedToClasspath()`
`boolean` `isIncludesDependencies()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultArtifactHandler

    public DefaultArtifactHandler()

#### DefaultArtifactHandler

    public DefaultArtifactHandler(java.lang.String type)

### Method Detail

#### getExtension

    public java.lang.String getExtension()

Specified by:
  `getExtension` in interface `ArtifactHandler`

#### getType

    public java.lang.String getType()

#### getClassifier

    public java.lang.String getClassifier()

Specified by:
  `getClassifier` in interface `ArtifactHandler`

#### getDirectory

    public java.lang.String getDirectory()

Specified by:
  `getDirectory` in interface `ArtifactHandler`

#### getPackaging

    public java.lang.String getPackaging()

Specified by:
  `getPackaging` in interface `ArtifactHandler`

#### isIncludesDependencies

    public boolean isIncludesDependencies()

Specified by:
  `isIncludesDependencies` in interface `ArtifactHandler`

#### getLanguage

    public java.lang.String getLanguage()

Specified by:
  `getLanguage` in interface `ArtifactHandler`

#### isAddedToClasspath

    public boolean isAddedToClasspath()

Specified by:
  `isAddedToClasspath` in interface `ArtifactHandler`